Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class Cassandra.Processor<I extends Cassandra.Iface>

    java.lang.Object
      org.apache.thrift.TBaseProcessor
          org.apache.cassandra.thrift.Cassandra.Processor<I>

All Implemented Interfaces:
  org.apache.thrift.TProcessor

Enclosing class:
  Cassandra

    public static class Cassandra.Processor<I extends Cassandra.Iface>

extends org.apache.thrift.TBaseProcessor
implements org.apache.thrift.TProcessor

Constructor Summary
`` | `Cassandra.Processor(I iface)`
`protected` | `Cassandra.Processor(I iface, java.util.Map<java.lang.String,org.apache.thrift.ProcessFunction<I,? extends org.apache.thrift.TBase>> processMap)`

Method Summary

Methods inherited from class org.apache.thrift.TBaseProcessor
`process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.thrift.TProcessor
`process`

Constructor Detail

### Cassandra.Processor

    public Cassandra.Processor(I iface)

### Cassandra.Processor

    protected Cassandra.Processor(I iface,
                                  java.util.Map<java.lang.String,org.apache.thrift.ProcessFunction<I,? extends org.apache.thrift.TBase>> processMap)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation